Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 512726 - Review Request: perl-Test-Refcount - Assert reference counts on objects
Summary: Review Request: perl-Test-Refcount - Assert reference counts on objects
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Stepan Kasal
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 512724 512725 514942
Blocks: 512729
TreeView+ depends on / blocked
 
Reported: 2009-07-20 15:06 UTC by Nicolas Chauvet (kwizart)
Modified: 2009-08-11 07:23 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-08-11 07:23:41 UTC
kasal: fedora-review+
tibbs: fedora-cvs+


Attachments (Terms of Use)

Description Nicolas Chauvet (kwizart) 2009-07-20 15:06:33 UTC
Spec URL: http://kwizart.fedorapeople.org/review/perl-Test-Refcount.spec
SRPM URL: http://kwizart.fedorapeople.org/review/perl-Test-Refcount-0.05-1.fc11.src.rpm
Description: Assert reference counts on objects

Comment 1 Stepan Kasal 2009-07-31 14:46:54 UTC
OK source files match upstream, sha1sum:
  c943efd0c268e812fa9ed6176ea1630e3de17c86  Test-Refcount-0.05.tar.gz
OK package meets naming and versioning guidelines.
FAIL specfile is properly named, is cleanly written and uses macros consistently.
%files should contain "%{perl_vendorlib}/Test" to avoid packing the auto subdir.
  You might also want to use %{_mandir}/man3/Test*.3*
OK dist tag is present.
OK build root is correct.
OK license field matches the actual license.
OK license is open source-compatible.
OK license text included in package.
OK latest version is being packaged.
FAIL BuildRequires are proper.
   add: perl(Test::More) perl(Test::Pod)
OK compiler flags are appropriate.
OK %clean is present.
OK package builds in mock.
OK package installs properly.
OK no debuginfo package
OK rpmlint is silent.
OK final provides and requires are sane:
FAIL %check is present and all tests pass.
   The test suite fails.  The reason is probably a bug in Devel::FindRef,
   I filed it as https://rt.cpan.org/Ticket/Display.html?id=48357
   Add a comment mentioning this, including the link to the bug.
OK no shared libraries are added to the regular linker search paths.
OK owns the directories it creates.
OK doesn't own any directories it shouldn't.
OK no duplicates in %files.
FAIL file permissions are appropriate.
   - the manpage and *.pm is read only, this is unusual
   - consider calling "%{_fixperms} $RPM_BUILD_ROOT/*"
OK no scriptlets present.
OK code, not content.
OK documentation is small, so no -docs subpackage is necessary.
OK %docs are not necessary for the proper functioning of the package.
OK no headers, pkgconfig files, libtool .la droppings, nor desktop files

Nicolas, please fix the above issues.

Comment 2 Nicolas Chauvet (kwizart) 2009-07-31 15:03:35 UTC
Spec URL: http://kwizart.fedorapeople.org/review/perl-Test-Refcount.spec
SRPM URL:
http://kwizart.fedorapeople.org/review/perl-Test-Refcount-0.05-2.fc11.src.rpm
Description: Assert reference counts on objects

Changelog
- Add missing BR
- Use %%{_fixperms}
- Fix %%files section

Thx for having reported the bug

Comment 3 Stepan Kasal 2009-07-31 16:19:27 UTC
(In reply to comment #1)
>    The test suite fails.  The reason is probably a bug in Devel::FindRef,
>    I filed it as https://rt.cpan.org/Ticket/Display.html?id=48357

To get the records straight, I filed that problem as bug #514942.

I hope that as soon as perl-Devel-FindRef-1.42-2.fc12 hits the repo (should be in a few hours), the test suite should start working.

Comment 4 Stepan Kasal 2009-07-31 16:25:24 UTC
> Changelog
> - Add missing BR
> - Use %%{_fixperms}
> - Fix %%files section

Remaining nit:

Please add the comment to %check, mentioning 514942.
It should stey there until we make the testsuite pass.

APPROVED

Comment 5 Nicolas Chauvet (kwizart) 2009-07-31 16:36:56 UTC
Thx, I've added the comment from the spec file.

New Package CVS Request
=======================
Package Name: perl-Test-Refcount
Short Description: Assert reference counts on objects
Owners: kwizart
Branches: F-11 F-10 EL-5
InitialCC: perl-sig

Comment 6 Jason Tibbitts 2009-07-31 21:19:48 UTC
CVS done.


Note You need to log in before you can comment on or make changes to this bug.